Warn anonymous users that we'll show their IP when they edit
Closed, ResolvedPublic

Description

When editing a regular wiki page as an anon, there's a message saying that the IP will be saved and made public. This is important for data protection/transparency, and may even be required by law in some regions.

We need to show such a warning on the wikibase repo too. Perhaps the message could slide in at the top of the page when the user first enters edit mode. There could be a dismiss [x], which would set a cookie to disable the message.

Doesn't work with JS, but hey, nother does editing...


Version: unspecified
Severity: normal

bzimport added a subscriber: wikidata-bugs.
bzimport set Reference to bz42954.
daniel created this task.Via LegacyDec 11 2012, 5:56 PM
Denny added a comment.Via ConduitDec 13 2012, 12:07 PM

Could use the notification system that has recently been added to MediaWiki.

jeblad added a comment.Via ConduitJan 8 2013, 11:05 AM

The ordinary notification is sufficient, but he should not be notified more than once and not unless he tries to edit.

The message box will be automatically removed so an explicit dismiss is probably not necessary.

There could be a problem if the session is terminated while the page is open, then the notification could fail. If the user edits from a page he opened while he was logged in, he should get a session failure and be asked to log in again before he can edit.

bzimport added a comment.Via ConduitJan 10 2013, 9:28 AM

wikidata-bugs wrote:

Change I426988ff: (bug 42954) Anonymous edit warning

bzimport added a comment.Via ConduitJan 10 2013, 9:58 AM

wikidata-bugs wrote:

Change Id660dcf9: (bug 42954) Anonymous user edit warning on create item/property pages

bzimport added a comment.Via ConduitJan 10 2013, 9:58 AM

wikidata-bugs wrote:

Change I341c826d: (bug 42954) Anonymous user edit warning on entity page

Abraham added a comment.Via ConduitJan 14 2013, 4:12 PM

Verified in Wikidata demo sprint 28

bzimport added a comment.Via ConduitJan 19 2013, 7:42 PM

wikidata-bugs wrote:

Change I341c826d: (bug 42954) Anonymous user edit warning on entity page.
Change merged.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.